// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Outputs
{

    [OutputType]
    public sealed class DiskSpec
    {
        public readonly ImmutableArray<Outputs.Disk> Hdds;
        public readonly ImmutableArray<Outputs.SSD> Ssds;

        [OutputConstructor]
        private DiskSpec(
            ImmutableArray<Outputs.Disk> hdds,

            ImmutableArray<Outputs.SSD> ssds)
        {
            Hdds = hdds;
            Ssds = ssds;
        }
    }
}
